Package org.eclipse.emf.cdo.server

## Interface IStoreFactory

-     public interface IStoreFactory

  Creates `stores`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IStoreFactory.ParameterAware` | An extension interface for `store factories` that want to receive parameters.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IStore` | `createStore​(java.lang.String repositoryName, java.util.Map<java.lang.String,​java.lang.String> repositoryProperties, org.w3c.dom.Element storeConfig)` |
    `java.lang.String` | `getStoreType()` |

- - ### Method Detail

    - #### getStoreType

          java.lang.String getStoreType()

    - #### createStore

          IStore createStore​(java.lang.String repositoryName,
                             java.util.Map<java.lang.String,​java.lang.String> repositoryProperties,
                             org.w3c.dom.Element storeConfig)

      Since:
        4.0